require 'rails_helper'

RSpec.describe "crm/dining_queues/new", type: :view do
  before(:each) do
    assign(:crm_dining_queue, Crm::DiningQueue.new(
      :name => "MyString",
      :contact => "MyString",
      :queue_no => "MyString"
    ))
  end

  it "renders new crm_dining_queue form" do
    render

    assert_select "form[action=?][method=?]", crm_dining_queues_path, "post" do

      assert_select "input[name=?]", "crm_dining_queue[name]"

      assert_select "input[name=?]", "crm_dining_queue[contact]"

      assert_select "input[name=?]", "crm_dining_queue[queue_no]"
    end
  end
end
